<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en" dir="ltr">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Case and accents insensitivity PHP procedure test</title>
  </head>

  <body>

    <h2>Case and accents insensitivity PHP procedure test</h2>
    <p>
      See <a href = "http://piwigo.org/forum/viewtopic.php?id=16119">
      [Forum, topic 16119] Case sensitivity</a>.
    </p>
    
    <p>
      <form method = "post" name = "form1" action = "">
        <label for = "case_sens">
          <input type = "checkbox" name = "n_case_sens" id = "case_sens"
            <?php
              if (isset($_POST['n_case_sens'])) echo(' checked = "checked" ');
            ?>
          />
          &nbsp;Case insensitive
        </label>
        <br />
        <label for = "accent_sens">
          <input type = "checkbox" name = "n_accent_sens" id = "accent_sens"
            <?php
              if (isset($_POST['n_accent_sens'])) echo(' checked = "checked" ');
            ?>
          />
          &nbsp;Accents insensitive
        </label>
        <br />
        <label for = "text_entry">
          Text:&nbsp;
          <input type = "text" name = "n_text_entry" id = "text_entry"
            size = "150" value = "<?php
              if (isset($_POST['n_text_entry'])) echo($_POST['n_text_entry']);
            ?>"
          />
        </label>
        <br />
        <input type = "submit" value = "Submit"/>
      </form>
    </p>

    <p>
      <?php

        if (isset($_POST['n_text_entry'])) {
          
          $conf = array();
          if (isset($_POST['n_case_sens']) and isset($_POST['n_accent_sens']))
           $conf['insensitive_case_logon'] = 2;
          elseif (isset($_POST['n_case_sens']))
           $conf['insensitive_case_logon'] = 1;
          elseif (isset($_POST['n_accent_sens']))
           $conf['insensitive_case_logon'] = 3;
          else
           $conf['insensitive_case_logon'] = 0;
          
          $lang                         = array();
          $lang['char_replacement_set'] = array();


          // Keeps file coded in UTF-8 without BOM : é

          // 0 : case sensitive, accents sensitive
          $lang['char_replacement_set'][1] = array(
          // 1 : case insensitive, accents sensitive
            
          // Latin
            
            'a'  => 'A',
            'à'  => 'À',
            'â'  => 'Â',
            'á'  => 'Á',
            'ã'  => 'Ã',
            'ä'  => 'Ä',
            'å'  => 'Å',
            'ā'  => 'Ā',
            'ă'  => 'Ă',
            'ą'  => 'Ą',
            'ǻ'  => 'Ǻ',
            'ạ'  => 'Ạ',
            'ả'  => 'Ả',
            'ấ'  => 'Ấ',
            'ầ'  => 'Ầ',
            'ẩ'  => 'Ẩ',
            'ẫ'  => 'Ẫ',
            'ậ'  => 'Ậ',
            'ắ'  => 'Ắ',
            'ằ'  => 'Ằ',
            'ẳ'  => 'Ẳ',
            'ẵ'  => 'Ẵ',
            'ặ'  => 'Ặ',
            
            'b'  => 'B',
            
            'c'  => 'C',
            'ç'  => 'Ç',
            'ć'  => 'Ć',
            'ĉ'  => 'Ĉ',
            'ċ'  => 'Ċ',
            'č'  => 'Č',

            'd'  => 'D',
            'ď'  => 'Ď',
            'đ'  => 'Đ',
            
            'e'  => 'E',
            'è'  => 'È',
            'é'  => 'É',
            'ê'  => 'Ê',
            'ë'  => 'Ë',
            'ē'  => 'Ē',
            'ĕ'  => 'Ĕ',
            'ė'  => 'Ė',
            'ę'  => 'Ę',
            'ě'  => 'Ě',
            'ẹ'  => 'Ẹ',
            'ẻ'  => 'Ẻ',
            'ẽ'  => 'Ẽ',
            'ế'  => 'Ế',
            'ề'  => 'Ề',
            'ể'  => 'Ể',
            'ễ'  => 'Ễ',
            'ệ'  => 'Ệ',
            
            'f'  => 'F ƒ',
            
            'g'  => 'G',
            'ĝ'  => 'Ĝ',
            'ğ'  => 'Ğ',
            'ġ'  => 'Ġ',
            'ģ'  => 'Ģ',
            
            'h'  => 'H',
            'ĥ'  => 'Ĥ',
            'ħ'  => 'Ħ',
            
            'i'  => 'I ı İ',
            'ì'  => 'Ì',
            'í'  => 'Í',
            'î'  => 'Î',
            'ï'  => 'Ï',
            'ĩ'  => 'Ĩ',
            'ī'  => 'Ī',
            'ĭ'  => 'Ĭ',
            'į'  => 'Į',
            'ǐ'  => 'Ǐ',
            'ỉ'  => 'Ỉ',
            'ị'  => 'Ị',
            
            'j'  => 'J',
            'ĵ'  => 'Ĵ',
            
            'k'  => 'K',
            'ķ'  => 'Ķ',
            
            'l'  => 'L',
            'ĺ'  => 'Ĺ',
            'ļ'  => 'Ļ',
            'ľ'  => 'Ľ',
            'ŀ'  => 'Ŀ',
            'ł'  => 'Ł',
            
            'm'  => 'M',
            
            'n'  => 'N',
            'ñ'  => 'Ñ',
            'ń'  => 'Ń',
            'ņ'  => 'Ņ',
            'ň'  => 'Ň',
            
            'o'  => 'O',
            'ò'  => 'Ò',
            'ó'  => 'Ó',
            'ô'  => 'Ô',
            'õ'  => 'Õ',
            'ö'  => 'Ö',
            'ø'  => 'Ø',
            'ō'  => 'Ō',
            'ŏ'  => 'Ŏ',
            'ő'  => 'Ő',
            'ơ'  => 'Ơ',
            'ǒ'  => 'Ǒ',
            'ǿ'  => 'Ǿ',
            'ọ'  => 'Ọ',
            'ỏ'  => 'Ỏ',
            'ố'  => 'Ố',
            'ồ'  => 'Ồ',
            'ổ'  => 'Ổ',
            'ỗ'  => 'Ỗ',
            'ộ'  => 'Ộ',
            'ớ'  => 'Ớ',
            'ờ'  => 'Ờ',
            'ở'  => 'Ở',
            'ỡ'  => 'Ỡ',
            'ợ'  => 'Ợ',
            
            'p'  => 'P',
            
            'q'  => 'Q ĸ',
            
            'r'  => 'R',
            'ŕ'  => 'Ŕ',
            'ŗ'  => 'Ŗ',
            'ř'  => 'Ř',
            
            's'  => 'S',
            'ś'  => 'Ś',
            'ŝ'  => 'Ŝ',
            'ş'  => 'Ş',
            'š'  => 'Š',
            's'  => 'ſ',
            'ss' => 'ß',
            
            't'  => 'T',
            'ţ'  => 'Ţ',
            'ť'  => 'Ť',
            'ŧ'  => 'Ŧ',
            
            'u'  => 'U',
            'ù'  => 'Ù',
            'ú'  => 'Ú',
            'û'  => 'Û',
            'ü'  => 'Ü',
            'ũ'  => 'Ũ',
            'ū'  => 'Ū',
            'ŭ'  => 'Ŭ',
            'ů'  => 'Ů',
            'ű'  => 'Ű',
            'ų'  => 'Ų',
            'ǔ'  => 'Ǔ',
            'ǖ'  => 'Ǖ',
            'ǘ'  => 'Ǘ',
            'ǚ'  => 'Ǚ',
            'ǜ'  => 'Ǜ',
            'ư'  => 'Ư',
            'ụ'  => 'Ụ',
            'ủ'  => 'Ủ',
            'ứ'  => 'Ứ',
            'ừ'  => 'Ừ',
            'ử'  => 'Ử',
            'ữ'  => 'Ữ',
            'ự'  => 'Ự',
            
            'v'  => 'V',
            
            'w'  => 'W',
            'ŵ'  => 'Ŵ',
            'ẁ'  => 'Ẁ',
            'ẃ'  => 'Ẃ',
            'ẅ'  => 'Ẅ',
            
            'x'  => 'X',
            
            'y'  => 'Y',
            'ý'  => 'Ý',
            'ÿ'  => 'Ÿ',
            'ỳ'  => 'Ỳ',
            'ỵ'  => 'Ỵ',
            'ỷ'  => 'Ỷ',
            'ỹ'  => 'Ỹ',
            'ŷ'  => 'Ŷ',
            
            'z'  => 'Z',
            'ź'  => 'Ź',
            'ż'  => 'Ż',
            'ž'  => 'Ž',
            
            'ae' => 'æ Æ',
            'aé' => 'ǽ Ǽ',
            'ð'  => 'Ð',
            'ə'  => 'Ə',
            'ij' => 'ĳ Ĳ',
            'ŋ'  => 'Ŋ',
            'oe' => 'œ Œ',
            'þ'  => 'Þ',
            
          // Greek
            
            'α'  => 'Α',
            'ά'  => 'Ά',
            'β'  => 'Β',
            'γ'  => 'Γ',
            'δ'  => 'Δ',
            'ε'  => 'Ε',
            'έ'  => 'Έ',
            'ζ'  => 'Ζ',
            'η'  => 'Η',
            'ή'  => 'Ή',
            'θ'  => 'Θ',
            'ι'  => 'Ι',
            'ί'  => 'Ί',
            'ϊ'  => 'Ϊ',
            'κ'  => 'Κ',
            'λ'  => 'Λ',
            'μ'  => 'Μ µ',
            'ν'  => 'Ν',
            'ξ'  => 'Ξ',
            'ο'  => 'Ο',
            'ό'  => 'Ό',
            'π'  => 'Π',
            'ρ'  => 'Ρ',
            'σ'  => 'Σ ς',
            'τ'  => 'Τ',
            'υ'  => 'Υ',
            'ύ'  => 'Ύ',
            'ϋ'  => 'Ϋ',
            'φ'  => 'Φ',
            'χ'  => 'Χ',
            'ψ'  => 'Ψ',
            'ω'  => 'Ω',
            'ώ'  => 'Ώ',
            
          // Cyrillic
            
            'а'  => 'А',
            'б'  => 'Б',
            'в'  => 'В',
            'г'  => 'Г',
            'ґ'  => 'Ґ',
            'ғ'  => 'Ғ',
            'д'  => 'Д',
            'е'  => 'Е',
            'ж'  => 'Ж',
            'җ'  => 'Җ',
            'з'  => 'З',
            'и'  => 'И',
            'й'  => 'Й',
            'к'  => 'К',
            'қ'  => 'Қ',
            'ҝ'  => 'Ҝ',
            'л'  => 'Л',
            'м'  => 'М',
            'н'  => 'Н',
            'ң'  => 'Ң',
            'о'  => 'О',
            'п'  => 'П',
            'р'  => 'Р',
            'с'  => 'С',
            'т'  => 'Т',
            'у'  => 'У',
            'ү'  => 'Ү',
            'ұ'  => 'Ұ',
            'ф'  => 'Ф',
            'х'  => 'Х',
            'ҳ'  => 'Ҳ',
            'ц'  => 'Ц',
            'ч'  => 'Ч',
            'ҹ'  => 'Ҹ',
            'ш'  => 'Ш',
            'щ'  => 'Щ',
            'ъ'  => 'Ъ',
            'ы'  => 'Ы',
            'ь'  => 'Ь',
            'э'  => 'Э',
            'ю'  => 'Ю',
            'я'  => 'Я',
            'ё'  => 'Ё',
            'ђ'  => 'Ђ',
            'ѓ'  => 'Ѓ',
            'є'  => 'Є',
            'ѕ'  => 'Ѕ',
            'і'  => 'І',
            'ї'  => 'Ї',
            'ј'  => 'Ј',
            'љ'  => 'Љ',
            'њ'  => 'Њ',
            'ћ'  => 'Ћ',
            'ќ'  => 'Ќ',
            'ў'  => 'Ў',
            'џ'  => 'Џ',
            'һ'  => 'Һ',
            'ә'  => 'Ә',
            'ө'  => 'Ө',
            
          );

          $lang['char_replacement_set'][2] = array(
          // 2 : case insensitive, accents insensitive
            
          // Latin
            
            'a'  => 'A à À â Â á Á ã Ã ä Ä å Å ā Ā ă Ă ą Ą ǻ Ǻ ạ Ạ ả Ả ấ Ấ ầ Ầ ẩ Ẩ ẫ Ẫ ậ Ậ ắ Ắ ằ Ằ ẳ Ẳ ẵ Ẵ ặ Ặ',
            'b'  => 'B',
            'c'  => 'C ç Ç ć Ć ĉ Ĉ ċ Ċ č Č',
            'd'  => 'D ď Ď đ Đ',
            'e'  => 'E è È é É ê Ê ë Ë ē Ē ĕ Ĕ ė Ė ę Ę ě Ě ẹ Ẹ ẻ Ẻ ẽ Ẽ ế Ế ề Ề ể Ể ễ Ễ ệ Ệ',
            'f'  => 'F ƒ',
            'g'  => 'G ĝ Ĝ ğ Ğ ġ Ġ ģ Ģ',
            'h'  => 'H ĥ Ĥ ħ Ħ',
            'i'  => 'I ı İ ì Ì í Í î Î ï Ï ĩ Ĩ ī Ī ĭ Ĭ į Į ǐ Ǐ ỉ Ỉ ị Ị',
            'j'  => 'J ĵ Ĵ',
            'k'  => 'K ķ Ķ',
            'l'  => 'L ĺ Ĺ ļ Ļ ľ Ľ ŀ Ŀ ł Ł',
            'm'  => 'M',
            'n'  => 'N ŉ ñ Ñ ń Ń ņ Ņ ň Ň',
            'o'  => 'O ò Ò ó Ó ô Ô õ Õ ö Ö ø Ø ō Ō ŏ Ŏ ő Ő ơ Ơ ǒ Ǒ ǿ Ǿ ọ Ọ ỏ Ỏ ố Ố ồ Ồ ổ Ổ ỗ Ỗ ộ Ộ ớ Ớ ờ Ờ ở Ở ỡ Ỡ ợ Ợ',
            'p'  => 'P',
            'q'  => 'Q ĸ',
            'r'  => 'R ŕ Ŕ ŗ Ŗ ř Ř',
            's'  => 'S ś Ś ŝ Ŝ ş Ş š Š s ſ',
            'ss' => 'ß',
            't'  => 'T ţ Ţ ť Ť ŧ Ŧ',
            'u'  => 'U ù Ù ú Ú û Û ü Ü ũ Ũ ū Ū ŭ Ŭ ů Ů ű Ű ų Ų ǔ Ǔ ǖ Ǖ ǘ Ǘ ǚ Ǚ ǜ Ǜ ư Ư ụ Ụ ủ Ủ ứ Ứ ừ Ừ ử Ử ữ Ữ ự Ự',
            'v'  => 'V',
            'w'  => 'W ŵ Ŵ ẁ Ẁ ẃ Ẃ ẅ Ẅ',
            'x'  => 'X',
            'y'  => 'Y ý Ý ÿ Ÿ ỳ Ỳ ỵ Ỵ ỷ Ỷ ỹ Ỹ ŷ Ŷ',
            'z'  => 'Z ź Ź ż Ż ž Ž',
            'ae' => 'æ Æ Ǽ ǽ',
            'ð'  => 'Ð',
            'ə'  => 'Ə',
            'ij' => 'ĳ Ĳ',
            'ŋ'  => 'Ŋ',
            'oe' => 'œ Œ',
            'þ'  => 'Þ',
            
          // Greek
            
            'α'  => 'Α ά Ά',
            'β'  => 'Β',
            'γ'  => 'Γ',
            'δ'  => 'Δ',
            'ε'  => 'Ε έ Έ',
            'ζ'  => 'Ζ',
            'η'  => 'Η ή Ή',
            'θ'  => 'Θ',
            'ι'  => 'Ι ί Ί ϊ Ϊ ΐ',
            'κ'  => 'Κ',
            'λ'  => 'Λ',
            'μ'  => 'Μ µ',
            'ν'  => 'Ν',
            'ξ'  => 'Ξ',
            'ο'  => 'Ο ό Ό',
            'π'  => 'Π',
            'ρ'  => 'Ρ',
            'σ'  => 'Σ ς',
            'τ'  => 'Τ',
            'υ'  => 'Υ ύ Ύ ϋ Ϋ ΰ',
            'φ'  => 'Φ',
            'χ'  => 'Χ',
            'ψ'  => 'Ψ',
            'ω'  => 'Ω ώ Ώ',
            
          // Cyrillic
            
            'а'  => 'А',
            'б'  => 'Б',
            'в'  => 'В',
            'г'  => 'Г ґ Ґ ғ Ғ',
            'д'  => 'Д',
            'е'  => 'Е',
            'ж'  => 'Ж җ Җ',
            'з'  => 'З',
            'и'  => 'И',
            'й'  => 'Й',
            'к'  => 'К қ Қ ҝ Ҝ',
            'л'  => 'Л',
            'м'  => 'М',
            'н'  => 'Н ң Ң',
            'о'  => 'О',
            'п'  => 'П',
            'р'  => 'Р',
            'с'  => 'С',
            'т'  => 'Т',
            'у'  => 'У',
            'ү'  => 'Ү',
            'ұ'  => 'Ұ',
            'ф'  => 'Ф',
            'х'  => 'Х ҳ Ҳ',
            'ц'  => 'Ц',
            'ч'  => 'Ч ҹ Ҹ',
            'ш'  => 'Ш',
            'щ'  => 'Щ',
            'ъ'  => 'Ъ',
            'ы'  => 'Ы',
            'ь'  => 'Ь',
            'э'  => 'Э',
            'ю'  => 'Ю',
            'я'  => 'Я',
            'ё'  => 'Ё',
            'ђ'  => 'Ђ',
            'ѓ'  => 'Ѓ',
            'є'  => 'Є',
            'ѕ'  => 'Ѕ',
            'і'  => 'І',
            'ї'  => 'Ї',
            'ј'  => 'Ј',
            'љ'  => 'Љ',
            'њ'  => 'Њ',
            'ћ'  => 'Ћ',
            'ќ'  => 'Ќ',
            'ў'  => 'Ў',
            'џ'  => 'Џ',
            'һ'  => 'Һ',
            'ә'  => 'Ә',
            'ө'  => 'Ө',
            
          );

          $lang['char_replacement_set'][3] = array(
          // 3 : case sensitive, accents insensitive
            
          // Latin
            
            'a'  => 'à â á ã ä å ā ă ą ǻ ạ ả ấ ầ ẩ ẫ ậ ắ ằ ẳ ẵ ặ',
            'A'  => 'À Â Á Ã Ä Å Ā Ă Ą Ǻ Ạ Ả Ấ Ầ Ẩ Ẫ Ậ Ắ Ằ Ẳ Ẵ Ặ',
            'c'  => 'ç ć ĉ ċ č',
            'C'  => 'Ç Ć Ĉ Ċ Č',
            'd'  => 'ď đ',
            'D'  => 'Ď Đ',
            'e'  => 'è é ê ë ē ĕ ė ę ě ẹ ẻ ẽ ế ề ể ễ ệ',
            'E'  => 'È É Ê Ë Ē Ĕ Ė Ę Ě Ẹ Ẻ Ẽ Ế Ề Ể Ễ Ệ',
            'f'  => 'ƒ',
            'g'  => 'ĝ ğ ġ ģ',
            'G'  => 'Ĝ Ğ Ġ Ģ',
            'h'  => 'ĥ ħ',
            'H'  => 'Ĥ Ħ',
            'i'  => 'ì í î ï ĩ ī ĭ į ǐ ỉ ị ı',
            'I'  => 'Ì Í Î Ï Ĩ Ī Ĭ Į Ǐ Ỉ Ị İ',
            'j'  => 'ĵ',
            'J'  => 'Ĵ',
            'k'  => 'ķ',
            'K'  => 'Ķ',
            'l'  => 'ĺ ļ ľ ŀ ł',
            'L'  => 'Ĺ Ļ Ľ Ŀ Ł',
            'n'  => 'ñ ń ņ ň ŉ',
            'N'  => 'Ñ Ń Ņ Ň',
            'o'  => 'ò ó ô õ ö ø ō ŏ ő ơ ǒ ǿ ọ ỏ ố ồ ổ ỗ ộ ớ ờ ở ỡ ợ',
            'O'  => 'Ò Ó Ô Õ Ö Ø Ō Ŏ Ő Ơ Ǒ Ǿ Ọ Ỏ Ố Ồ Ổ Ỗ Ộ Ớ Ờ Ở Ỡ Ợ',
            'q'  => 'ĸ',
            'r'  => 'ŕ ŗ ř',
            'R'  => 'Ŕ Ŗ Ř',
            's'  => 'ś ŝ ş š ſ',
            'S'  => 'Ś Ŝ Ş Š',
            'ss' => 'ß',
            't'  => 'ţ ť ŧ',
            'T'  => 'Ţ Ť Ŧ',
            'u'  => 'ù ú û ü ũ ū ŭ ů ű ų ǔ ǖ ǘ ǚ ǜ ư ụ ủ ứ ừ ử ữ ự',
            'U'  => 'Ù Ú Û Ü Ũ Ū Ŭ Ů Ű Ų Ǔ Ǖ Ǘ Ǚ Ǜ Ư Ụ Ủ Ứ Ừ Ử Ữ Ự',
            'w'  => 'ŵ ẁ ẃ ẅ',
            'W'  => 'Ŵ Ẁ Ẃ Ẅ',
            'y'  => 'ý ÿ ỳ ỵ ỷ ỹ ŷ',
            'Y'  => 'Ý Ÿ Ỳ Ỵ Ỷ Ỹ Ŷ',
            'z'  => 'ź ż ž',
            'Z'  => 'Ź Ż Ž',
            'ae' => 'ǽ',
            'AE' => 'Ǽ',
            'ij' => 'ĳ',
            'IJ' => 'Ĳ',
            'oe' => 'œ',
            'OE' => 'Œ',
            
          // Greek
            
            'α'  => 'ά',
            'Α'  => 'Ά',
            'ε'  => 'έ',
            'Ε'  => 'Έ',
            'μ'  => 'µ',
            'η'  => 'ή',
            'Η'  => 'Ή',
            'ι'  => 'ί ϊ ΐ',
            'Ι'  => 'Ί Ϊ',
            'ο'  => 'ό',
            'Ο'  => 'Ό',
            'σ'  => 'ς',
            'υ'  => 'ύ ϋ ΰ',
            'Υ'  => 'Ύ Ϋ',
            'ω'  => 'ώ',
            'Ω'  => 'Ώ',
            
          // Cyrillic
            
            'г'  => 'ґ ғ',
            'Г'  => 'Ґ Ғ',
            'ж'  => 'җ',
            'Ж'  => 'Җ',
            'к'  => 'қ ҝ',
            'К'  => 'Қ Ҝ',
            'н'  => 'ң',
            'Н'  => 'Ң',
            'х'  => 'ҳ',
            'Х'  => 'Ҳ',
            'ч'  => 'ҹ',
            'Ч'  => 'Ҹ',
            
          );

          /*
           * Splits a multi-byte string in a array of each of its characters.
           * Many thanks to adjwilli in
           * http://www.php.net/manual/fr/function.mb-split.php#80046
           *
           * @param string s: string to split
           *
           * @return : array of each character of s
          */
          function mbStringToArray($s) {
            $l = mb_strlen($s); $a = array();
            while ($l) {
              $a[] = mb_substr($s, 0, 1, 'UTF-8');
              $s = mb_substr($s, 1, $l, 'UTF-8');
              $l = mb_strlen($s);
            }
            return $a;
          }

          

          /*
           * Changes the characters of the given string as stated by values of
           * $conf['insensitive_case_logon'] and $lang['char_replacement_set'].
           *
           * @param mix s: string, or array of strings, to evaluate
           *
           * @return : string, or array of strings, modified as stated
          */
          function change_case($s)
          {
            global $conf, $lang;
            
            // Exits immediately without changing the parameter, if the configuration
            // is set on "case sensitive and accent sensitive".
            if (!isset($conf['insensitive_case_logon']) or
              $conf['insensitive_case_logon'] != 1 and
              $conf['insensitive_case_logon'] != 2 and
              $conf['insensitive_case_logon'] != 3
            ) return $s;
            
            // $v remembers if the given parameter was an array or not
            $s2 = ($v = (is_array($s))) ? $s : array(0 => $s);
            
            // Builds an array of characters that must be replaced
            // $rep_char is the replacement character ; $char_rep_arr is an array of 
            // characters which have to be replaced. ie :
            // if
            // $lang['char_replacement_set'][$conf['insensitive_case_logon']]['e'] ='é è'
            // then
            // $char_rep_arr['é'] = 'e' ; $char_rep_arr['è'] = 'e'.
            $char_rep_arr = array();
            foreach (
             $lang['char_replacement_set'][$conf['insensitive_case_logon']]
             as $rep_char => $char_rep_list
            ) {
              $t = explode(' ', $char_rep_list);
              foreach ($t as $c) $char_rep_arr[$c] = $rep_char;
            }
            
            // Replacement in each string of $s2 of the characters
            // that needs to be replaced
            $r = array();
            foreach ($s2 as $s) {
              $t = mbStringToArray($s); $t2 ='';
              foreach ($t as $c) {
                if (array_key_exists($c, $char_rep_arr))
                 $t2.= $char_rep_arr[$c];
                else
                 $t2.= $c;
              }
              $r[] = $t2;
            }
            
            // Return of the result
            if ($v) return $r;
            else return $r[0];
          }
          ?><table><tr><td><?php
            echo('Normal text:&nbsp;');
          ?></td><td><?php
            echo($_POST['n_text_entry']);
          ?></td></tr><td><?php
            echo('Processed text:&nbsp;');
          ?></td><td><?php
            echo(change_case($_POST['n_text_entry']));
          ?></td></tr><td></table><?php
        }

      ?>
    </p>

  </body>
</html>
